Package com.documentum.operations

# Interface IDfVDMPlatformUtils

public interface IDfVDMPlatformUtils

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FILE_ATTRIBUTE_ARCHIVE`
  `static final int`
  `FILE_ATTRIBUTE_COMPRESSED`
  `static final int`
  `FILE_ATTRIBUTE_DIRECTORY`
  `static final int`
  `FILE_ATTRIBUTE_HIDDEN`
  `static final int`
  `FILE_ATTRIBUTE_NORMAL`
  `static final int`
  `FILE_ATTRIBUTE_OFFLINE`
  `static final int`
  `FILE_ATTRIBUTE_READONLY`
  `static final int`
  `FILE_ATTRIBUTE_SYSTEM`
  `static final int`
  `FILE_ATTRIBUTE_TEMPORARY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyFile(String sourceFile, String destFile)`
  `boolean`
  `fileHasOLELinks(String sourceFile)`
  `int`
  `getAutorecFileTypeCode(String filePath)`
  `String`
  `getCLSIDForFile(String filePath)`
  `int`
  `getFileAttributes(String filePath)`
  `boolean`
  `sendEvent(int eventCode, int eventType, String clientName, String docbaseName, String data1, String data2, String data3, String[] responseMsg)`
  `void`
  `setFileAttributes(String filePath, int attributes)`

- ## Field Details

  - ### FILE_ATTRIBUTE_READONLY

    static final int FILE_ATTRIBUTE_READONLY
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_HIDDEN

    static final int FILE_ATTRIBUTE_HIDDEN
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_SYSTEM

    static final int FILE_ATTRIBUTE_SYSTEM
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_DIRECTORY

    static final int FILE_ATTRIBUTE_DIRECTORY
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_ARCHIVE

    static final int FILE_ATTRIBUTE_ARCHIVE
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_NORMAL

    static final int FILE_ATTRIBUTE_NORMAL
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_TEMPORARY

    static final int FILE_ATTRIBUTE_TEMPORARY
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_COMPRESSED

    static final int FILE_ATTRIBUTE_COMPRESSED
    See Also:
      - Constant Field Values

  - ### FILE_ATTRIBUTE_OFFLINE

    static final int FILE_ATTRIBUTE_OFFLINE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getAutorecFileTypeCode

    int getAutorecFileTypeCode(String filePath)

  - ### getCLSIDForFile

    String getCLSIDForFile(String filePath) throws DfException
    Throws:
      `DfException`

  - ### setFileAttributes

    void setFileAttributes(String filePath, int attributes)

  - ### getFileAttributes

    int getFileAttributes(String filePath)

  - ### sendEvent

    boolean sendEvent(int eventCode, int eventType, String clientName, String docbaseName, String data1, String data2, String data3, String[] responseMsg)

  - ### copyFile

    void copyFile(String sourceFile, String destFile) throws DfException
    Throws:
      `DfException`

  - ### fileHasOLELinks

    boolean fileHasOLELinks(String sourceFile)